
#define MINPX     0
#define MINPY     0
#define MAXPX     119
#define MAXPY     74
#define WINDX     40
#define WINDY     20
#define MAXLX     MAXPX-WINDX+1
#define MAXLY     MAXPY-WINDY+1
#define HALFWINDX WINDX/2
#define HALFWINDY WINDY/2

BOOL check_right(p_TANK t);
BOOL check_left(p_TANK t);
BOOL check_below(p_TANK t);
BOOL clear(int x, int y);
BOOL check_above(p_TANK t);
void check_tank_position(p_TANK t);
void set_move_range(p_TANK t);
void move_right(p_TANK t);
void move_left(p_TANK t);
void move_down(p_TANK t);
void move_up(p_TANK t);
void move_tank(p_TANK t);
void restore_under_tank(p_TANK t);
void display_tank(p_TANK t);
void init_view(p_TANKTILE t, int ta, int tb, int tc, int td);
void monitor_tank(p_TANK t);
void save_under_tank(p_TANK t);
void init_tank_image(p_TANK t, int tm);
void initmap(int t);
void RandRectMap(int x1, int y1, int x2, int y2, int b);
void hMapLine(int y, int x1, int x2, int b);
void vMapLine(int x, int y1, int y2, int b);
void RectMap(int x1, int y1, int x2, int y2, int b);
void caller_main(void);
void follow_tank(p_TANK t);
void v_startup_playfield(int t);


extern void gotocga(void);
extern void inittables(void);
extern void regenscr(void);
extern void refreshscr(void);
extern void capturescr(void);
extern void setlogXY(int x, int y);
extern void setphyXY(int x, int y);
extern void setwindXY(int x, int y);
extern void setmapXY(int x, int y, int b);
extern int  getmapXY(int x, int y);
