/**--------------------------------------------------------------
 **
 **--------------------------------------------------------------
 ** MODULE     : interp.h
 ** PURPOSE    : <t> Header file for interp.c
 ** PROGRAMMER : Sandy
 ** START DATE : 11/29/1988 12:09:26
 ** DESCRIPTION:
 **            :
 **            :
 **==============================================================
 **/

#define   ZARG  struct zarg_type
#define p_ZARG  ZARG *
#define   ZLINE struct line_type
#define p_ZLINE ZLINE *
#define   BOT   struct bot_type
#define p_BOT   BOT *

#define MAXLINES 1000

ZARG {
   int n_ArgType;
   int n_value;
};

ZLINE {
   int     n_command;
   int     pline;
   ZARG    arg1, arg2, arg3, arg4;
};

BOT {
   BYTE    bx, by, obx, oby;
   BYTE    bax, bay, obax, obay;
   int     vars[100];
   p_ZLINE line[MAXLINES];
   int     nlines;
   int     fsize;
   int     cline;
   int     cdir;
   int     gdir;
   int     ready;
   int     gosub[20];
   int     depth;
   BOOL    active;
   BYTE far *pic[9];
   TANK    tank_config;
};

void v_load_file(PSTR s, p_BOT);
void v_interp_main(PSTR s);
void v_ido_move(p_BOT p);
int n_get_arg(p_BOT pbot, p_ZARG p);
void v_store(p_BOT pb,p_ZARG pa, int n);
void v_interprete(p_BOT p);
void v_init_bot(p_BOT pbot);
void v_do_return(p_BOT pb);
void v_do_call(p_BOT pb, p_ZARG pa);
void v_do_arena(PSTR s[]);
void v_free_interpreter_ram(p_BOT p);
void v_shoot(p_BOT p);
void v_flash_tank(int a);
BOOL b_check_for_hit(int x, int y);
int n_check_radar(p_BOT p);
int n_check_scan(p_BOT p, int n);
void v_erase_player(p_BOT p);
void v_draw_player(p_BOT p);
void v_init_playfield(void);
void v_redraw_player(p_BOT p);
