/**--------------------------------------------------------------
 **  Ralcool Software
 **--------------------------------------------------------------
 ** MODULE     : PARSE.H
 ** PURPOSE    : <t> Header files for PARSE.C
 ** PROGRAMMER : Sandy
 ** START DATE : 11/28/1988 07:21:23
 ** DESCRIPTION:
 **            :
 **            :
 **==============================================================
 **/

#define   LINK struct link_type
#define p_LINK LINK *

#define   LINE struct line_type
#define p_LINE LINE *

#define   ARG struct arg_type
#define p_ARG ARG *

#define   LABEL struct label_type
#define p_LABEL LABEL *

ARG {
   WORD   n_ArgType;
   int    n_value;
};

void v_begin_parse(PSTR fn);
void v_parse_main(PSTR s);
WORD w_parse(PSTR s);
WORD w_fill_structure(char t[20][20]);
BOOL b_store_x(PSTR s);
int n_find_symbol(PSTR s);
BOOL b_add_symbol(PSTR p);
BOOL b_store_y(PSTR s);
BOOL b_parse_arg(p_ARG parg, PSTR s);
int n_find_label(PSTR p);
BOOL b_add_label(PSTR p);
BOOL b_cond_jump(int ntype,PSTR s1, PSTR s2, PSTR s3);
BOOL b_normal_jump(int ntype, PSTR s);
BOOL b_do_move(void);
BOOL b_do_return(void);
BOOL b_loaded(PSTR s);
BOOL b_do_fire(void);
void v_add_resolve(PSTR s);
void v_check_link(p_ARG parg);
void v_conclude_resolves(void);
void v_write_code(PSTR s);
void v_list_structure(void);
BOOL b_do_set(PSTR s1, PSTR s2);
BOOL b_do_rand(PSTR s1, PSTR s2);
BOOL b_do_add(PSTR s1, PSTR s2);
void v_free_compiler_ram(void);
BOOL b_turn_gright(void);
BOOL b_turn_gleft(void);
BOOL b_turn_right(void);
BOOL b_turn_left(void);
BOOL b_select_weapon(PSTR s);
BOOL b_curr_tank(PSTR s);
BOOL b_curr_gun(PSTR s);
BOOL b_make_scan(PSTR s1, PSTR s2);
BOOL b_make_radar(PSTR s);
