
#define   WINDOW struct window_type
#define p_WINDOW WINDOW *
#define   MENU struct menu_type
#define p_MENU MENU *
#define   PLAYER struct player_type
#define p_PLAYER PLAYER *

#define TGRASS   1
#define TSWAMP   2
#define TWOODS   3
#define TVILLAGE 4

#define ALLOUT 0
#define TEAMA  1
#define TEAMB  2

PLAYER {
   char    tankname[10];
   int     chassisType;
   int     weaponsType[10];
   int     extrasType[10];
   int     tank_handle;
   BOOL    active;
   BOOL    inbattle;
};

WINDOW {
   int wx1, wx2, wy1, wy2;
   char *buf;
};

MENU {
   char   *title;
   BOOL   bpulldown;
   int    noptions;
};

void v_open_window(p_WINDOW w,int x1,int y1, int x2, int y2);
void v_draw_shop_screen(void);
void main(void);
void v_close_window(p_WINDOW w);
int  n_operate_menu(MENU m[]);
void v_fill_pwindow(p_WINDOW w, int a);
void v_print_array(int x, int y, PSTR m[]);
void v_paint_box(int x1, int y1, int x2, int y2);
void v_single_box(int x1,int y1, int x2, int y2);
int  n_operate_pulldown(p_WINDOW w, PSTR m[]);
void v_get_tank_name(PSTR s);
void v_picklist(int a, PSTR m[]);
void v_init_tank(p_PLAYER t);
void v_update_screen(p_PLAYER t);
void v_add_from_picklist(int aa, int bb);
void v_save_tank(p_PLAYER t);
void v_load_tank(p_PLAYER t);
void v_read_tank_from_disk(PSTR s, p_PLAYER t);
