/**--------------------------------------------------------------
 **
 **--------------------------------------------------------------
 ** MODULE     : Graphics.c
 ** PURPOSE    : <t> Graphics primitives for Interp.C
 ** PROGRAMMER : Sandy
 ** START DATE : 11/30/1988 06:23:28
 ** DESCRIPTION:
 **            :
 **            :
 **==============================================================
 **/

#include <stdio.h>
#include <stdlib.h>
#include "dtypes.h"
#include "conio.h"
#include "graph.h"

/*<f>----------------------------------------
 * FUNCTION: <s> void v_draw_screen(PSTR s)
 * PURPOSE : Draw boarder on screen
 *         :
 * CREATION: 11/30/1988 06:54:38
 */
void v_draw_screen(PSTR s)
{
int a;

   for (a=8; a<12; a++) {
      v_draw_hline(a,0x55);
      v_draw_hline(200-12+a,0x55);
   }
   v_draw_vline( 0,0x55);
   v_draw_vline(79,0x55);
   gotoxy(2,1); printf("%s",s);
} /* void v_draw_screen(PSTR s) */

/*<f>----------------------------------------
 * FUNCTION: <s> void v_draw_hline(int y, BYTE n)
 * PURPOSE :
 *         :
 * CREATION: 12/02/1988 09:17:31
 */
void v_draw_hline(int y, BYTE n)
{
char far *p = (char far *)0xB8000000L;
int a;

   p+=((y>>1)*80);
   if (y&1) p+=0x2000;

   for (a=0; a<79; a++)
      *p++=n;

} /* void v_draw_hline(int y) */

/*<f>----------------------------------------
 * FUNCTION: <s> void v_draw_vline(int x, BYTE n)
 * PURPOSE :
 *         :
 * CREATION: 12/02/1988 09:26:29
 */
void v_draw_vline(int x, BYTE n)
{
int a;
char far *p = (char far *)0xB8000000L;
char far *q = (char far *)0xB8002000L;

   p+=x; q+=x;
   for (a=0; a<100; a++) {
      *p=n; p+=80;
      *q=n; q+=80;
   }

} /* void v_draw_vline(int x, BYTE n) */